Create or Update Customer Info
The Anchor Platform does not persist any customer KYC data.
The request and response for this endpoint are identical to the
PUT /customer
request and response defined in SEP-12.
Client applications make requests with the following request body, which is forwarded to the anchor. Anchors
must validate and persist the data passed, and return the customer’s id. Requests containing only string fields will
be forwarded to the anchor as with the application/json content type. Requests containing
binary fields will be forwarded to the anchor as with the multipart/form-data content type.
curl --request PUT \
--url https://callback.business-server.exampleanchor.com/customer \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"account": "<string>",
"memo": "<string>",
"type": "<string>",
"transaction_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"additional_name": "<string>",
"address_country_code": "<string>",
"state_or_province": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>",
"mobile_number": "<string>",
"email_address": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"birth_country_code": "<string>",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_account_type": "<string>",
"bank_number": "<string>",
"bank_phone_number": "<string>",
"bank_branch_number": "<string>",
"external_transfer_memo": "<string>",
"clabe_number": "<string>",
"cbu_alias": "<string>",
"mobile_money_number": "<string>",
"mobile_money_provider": "<string>",
"crypto_address": "<string>",
"crypto_memo": "<string>",
"tax_id": "<string>",
"tax_id_name": "<string>",
"occupation": "<string>",
"employer_name": "<string>",
"employer_address": "<string>",
"language_code": "<string>",
"id_type": "<string>",
"id_country_code": "<string>",
"id_issue_date": "2023-12-25",
"id_expiration_date": "2023-12-25",
"id_number": "<string>",
"ip_address": "<string>",
"sex": "<string>",
"referral_id": "<string>",
"mobile_number_verification": "<string>",
"email_address_verification": "<string>"
}
'import requests
url = "https://callback.business-server.exampleanchor.com/customer"
payload = {
"id": "<string>",
"account": "<string>",
"memo": "<string>",
"type": "<string>",
"transaction_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"additional_name": "<string>",
"address_country_code": "<string>",
"state_or_province": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>",
"mobile_number": "<string>",
"email_address": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"birth_country_code": "<string>",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_account_type": "<string>",
"bank_number": "<string>",
"bank_phone_number": "<string>",
"bank_branch_number": "<string>",
"external_transfer_memo": "<string>",
"clabe_number": "<string>",
"cbu_alias": "<string>",
"mobile_money_number": "<string>",
"mobile_money_provider": "<string>",
"crypto_address": "<string>",
"crypto_memo": "<string>",
"tax_id": "<string>",
"tax_id_name": "<string>",
"occupation": "<string>",
"employer_name": "<string>",
"employer_address": "<string>",
"language_code": "<string>",
"id_type": "<string>",
"id_country_code": "<string>",
"id_issue_date": "2023-12-25",
"id_expiration_date": "2023-12-25",
"id_number": "<string>",
"ip_address": "<string>",
"sex": "<string>",
"referral_id": "<string>",
"mobile_number_verification": "<string>",
"email_address_verification": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
account: '<string>',
memo: '<string>',
type: '<string>',
transaction_id: '<string>',
first_name: '<string>',
last_name: '<string>',
additional_name: '<string>',
address_country_code: '<string>',
state_or_province: '<string>',
city: '<string>',
postal_code: '<string>',
address: '<string>',
mobile_number: '<string>',
email_address: '<string>',
birth_date: '2023-12-25',
birth_place: '<string>',
birth_country_code: '<string>',
bank_name: '<string>',
bank_account_number: '<string>',
bank_account_type: '<string>',
bank_number: '<string>',
bank_phone_number: '<string>',
bank_branch_number: '<string>',
external_transfer_memo: '<string>',
clabe_number: '<string>',
cbu_alias: '<string>',
mobile_money_number: '<string>',
mobile_money_provider: '<string>',
crypto_address: '<string>',
crypto_memo: '<string>',
tax_id: '<string>',
tax_id_name: '<string>',
occupation: '<string>',
employer_name: '<string>',
employer_address: '<string>',
language_code: '<string>',
id_type: '<string>',
id_country_code: '<string>',
id_issue_date: '2023-12-25',
id_expiration_date: '2023-12-25',
id_number: '<string>',
ip_address: '<string>',
sex: '<string>',
referral_id: '<string>',
mobile_number_verification: '<string>',
email_address_verification: '<string>'
})
};
fetch('https://callback.business-server.exampleanchor.com/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://callback.business-server.exampleanchor.com/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'account' => '<string>',
'memo' => '<string>',
'type' => '<string>',
'transaction_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'additional_name' => '<string>',
'address_country_code' => '<string>',
'state_or_province' => '<string>',
'city' => '<string>',
'postal_code' => '<string>',
'address' => '<string>',
'mobile_number' => '<string>',
'email_address' => '<string>',
'birth_date' => '2023-12-25',
'birth_place' => '<string>',
'birth_country_code' => '<string>',
'bank_name' => '<string>',
'bank_account_number' => '<string>',
'bank_account_type' => '<string>',
'bank_number' => '<string>',
'bank_phone_number' => '<string>',
'bank_branch_number' => '<string>',
'external_transfer_memo' => '<string>',
'clabe_number' => '<string>',
'cbu_alias' => '<string>',
'mobile_money_number' => '<string>',
'mobile_money_provider' => '<string>',
'crypto_address' => '<string>',
'crypto_memo' => '<string>',
'tax_id' => '<string>',
'tax_id_name' => '<string>',
'occupation' => '<string>',
'employer_name' => '<string>',
'employer_address' => '<string>',
'language_code' => '<string>',
'id_type' => '<string>',
'id_country_code' => '<string>',
'id_issue_date' => '2023-12-25',
'id_expiration_date' => '2023-12-25',
'id_number' => '<string>',
'ip_address' => '<string>',
'sex' => '<string>',
'referral_id' => '<string>',
'mobile_number_verification' => '<string>',
'email_address_verification' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://callback.business-server.exampleanchor.com/customer"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"account\": \"<string>\",\n \"memo\": \"<string>\",\n \"type\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"additional_name\": \"<string>\",\n \"address_country_code\": \"<string>\",\n \"state_or_province\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"email_address\": \"<string>\",\n \"birth_date\": \"2023-12-25\",\n \"birth_place\": \"<string>\",\n \"birth_country_code\": \"<string>\",\n \"bank_name\": \"<string>\",\n \"bank_account_number\": \"<string>\",\n \"bank_account_type\": \"<string>\",\n \"bank_number\": \"<string>\",\n \"bank_phone_number\": \"<string>\",\n \"bank_branch_number\": \"<string>\",\n \"external_transfer_memo\": \"<string>\",\n \"clabe_number\": \"<string>\",\n \"cbu_alias\": \"<string>\",\n \"mobile_money_number\": \"<string>\",\n \"mobile_money_provider\": \"<string>\",\n \"crypto_address\": \"<string>\",\n \"crypto_memo\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"tax_id_name\": \"<string>\",\n \"occupation\": \"<string>\",\n \"employer_name\": \"<string>\",\n \"employer_address\": \"<string>\",\n \"language_code\": \"<string>\",\n \"id_type\": \"<string>\",\n \"id_country_code\": \"<string>\",\n \"id_issue_date\": \"2023-12-25\",\n \"id_expiration_date\": \"2023-12-25\",\n \"id_number\": \"<string>\",\n \"ip_address\": \"<string>\",\n \"sex\": \"<string>\",\n \"referral_id\": \"<string>\",\n \"mobile_number_verification\": \"<string>\",\n \"email_address_verification\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://callback.business-server.exampleanchor.com/customer")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"account\": \"<string>\",\n \"memo\": \"<string>\",\n \"type\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"additional_name\": \"<string>\",\n \"address_country_code\": \"<string>\",\n \"state_or_province\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"email_address\": \"<string>\",\n \"birth_date\": \"2023-12-25\",\n \"birth_place\": \"<string>\",\n \"birth_country_code\": \"<string>\",\n \"bank_name\": \"<string>\",\n \"bank_account_number\": \"<string>\",\n \"bank_account_type\": \"<string>\",\n \"bank_number\": \"<string>\",\n \"bank_phone_number\": \"<string>\",\n \"bank_branch_number\": \"<string>\",\n \"external_transfer_memo\": \"<string>\",\n \"clabe_number\": \"<string>\",\n \"cbu_alias\": \"<string>\",\n \"mobile_money_number\": \"<string>\",\n \"mobile_money_provider\": \"<string>\",\n \"crypto_address\": \"<string>\",\n \"crypto_memo\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"tax_id_name\": \"<string>\",\n \"occupation\": \"<string>\",\n \"employer_name\": \"<string>\",\n \"employer_address\": \"<string>\",\n \"language_code\": \"<string>\",\n \"id_type\": \"<string>\",\n \"id_country_code\": \"<string>\",\n \"id_issue_date\": \"2023-12-25\",\n \"id_expiration_date\": \"2023-12-25\",\n \"id_number\": \"<string>\",\n \"ip_address\": \"<string>\",\n \"sex\": \"<string>\",\n \"referral_id\": \"<string>\",\n \"mobile_number_verification\": \"<string>\",\n \"email_address_verification\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://callback.business-server.exampleanchor.com/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"account\": \"<string>\",\n \"memo\": \"<string>\",\n \"type\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"additional_name\": \"<string>\",\n \"address_country_code\": \"<string>\",\n \"state_or_province\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"email_address\": \"<string>\",\n \"birth_date\": \"2023-12-25\",\n \"birth_place\": \"<string>\",\n \"birth_country_code\": \"<string>\",\n \"bank_name\": \"<string>\",\n \"bank_account_number\": \"<string>\",\n \"bank_account_type\": \"<string>\",\n \"bank_number\": \"<string>\",\n \"bank_phone_number\": \"<string>\",\n \"bank_branch_number\": \"<string>\",\n \"external_transfer_memo\": \"<string>\",\n \"clabe_number\": \"<string>\",\n \"cbu_alias\": \"<string>\",\n \"mobile_money_number\": \"<string>\",\n \"mobile_money_provider\": \"<string>\",\n \"crypto_address\": \"<string>\",\n \"crypto_memo\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"tax_id_name\": \"<string>\",\n \"occupation\": \"<string>\",\n \"employer_name\": \"<string>\",\n \"employer_address\": \"<string>\",\n \"language_code\": \"<string>\",\n \"id_type\": \"<string>\",\n \"id_country_code\": \"<string>\",\n \"id_issue_date\": \"2023-12-25\",\n \"id_expiration_date\": \"2023-12-25\",\n \"id_number\": \"<string>\",\n \"ip_address\": \"<string>\",\n \"sex\": \"<string>\",\n \"referral_id\": \"<string>\",\n \"mobile_number_verification\": \"<string>\",\n \"email_address_verification\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "ACCEPTED",
"id": "<string>",
"fields": {},
"provided_fields": {},
"message": "<string>"
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"id": "<string>"
}Body
The ID of the customer as returned in the response of a previous PUT request.
The Stellar or Muxed Account authenticated with the Platform via SEP-10.
The memo value identifying a customer with a shared account, where the shared account is account.
The type of memo used to identify a customer with a shared account.
id, hash, text The type of action the customer is being KYCd for.
See the Type Specification documented in SEP-12 for more info.
For SEP-31 you can define your own types in the assets configuration.
For SEP-24 pre-defined value sep24-customer is used.
The transaction id with which the customer's info is associated. When information from the customer depends on the transaction (e.g., more information is required for larger amounts)
Deprecated. Use external_transfer_memo instead.
curl --request PUT \
--url https://callback.business-server.exampleanchor.com/customer \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"account": "<string>",
"memo": "<string>",
"type": "<string>",
"transaction_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"additional_name": "<string>",
"address_country_code": "<string>",
"state_or_province": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>",
"mobile_number": "<string>",
"email_address": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"birth_country_code": "<string>",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_account_type": "<string>",
"bank_number": "<string>",
"bank_phone_number": "<string>",
"bank_branch_number": "<string>",
"external_transfer_memo": "<string>",
"clabe_number": "<string>",
"cbu_alias": "<string>",
"mobile_money_number": "<string>",
"mobile_money_provider": "<string>",
"crypto_address": "<string>",
"crypto_memo": "<string>",
"tax_id": "<string>",
"tax_id_name": "<string>",
"occupation": "<string>",
"employer_name": "<string>",
"employer_address": "<string>",
"language_code": "<string>",
"id_type": "<string>",
"id_country_code": "<string>",
"id_issue_date": "2023-12-25",
"id_expiration_date": "2023-12-25",
"id_number": "<string>",
"ip_address": "<string>",
"sex": "<string>",
"referral_id": "<string>",
"mobile_number_verification": "<string>",
"email_address_verification": "<string>"
}
'import requests
url = "https://callback.business-server.exampleanchor.com/customer"
payload = {
"id": "<string>",
"account": "<string>",
"memo": "<string>",
"type": "<string>",
"transaction_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"additional_name": "<string>",
"address_country_code": "<string>",
"state_or_province": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>",
"mobile_number": "<string>",
"email_address": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"birth_country_code": "<string>",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_account_type": "<string>",
"bank_number": "<string>",
"bank_phone_number": "<string>",
"bank_branch_number": "<string>",
"external_transfer_memo": "<string>",
"clabe_number": "<string>",
"cbu_alias": "<string>",
"mobile_money_number": "<string>",
"mobile_money_provider": "<string>",
"crypto_address": "<string>",
"crypto_memo": "<string>",
"tax_id": "<string>",
"tax_id_name": "<string>",
"occupation": "<string>",
"employer_name": "<string>",
"employer_address": "<string>",
"language_code": "<string>",
"id_type": "<string>",
"id_country_code": "<string>",
"id_issue_date": "2023-12-25",
"id_expiration_date": "2023-12-25",
"id_number": "<string>",
"ip_address": "<string>",
"sex": "<string>",
"referral_id": "<string>",
"mobile_number_verification": "<string>",
"email_address_verification": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
account: '<string>',
memo: '<string>',
type: '<string>',
transaction_id: '<string>',
first_name: '<string>',
last_name: '<string>',
additional_name: '<string>',
address_country_code: '<string>',
state_or_province: '<string>',
city: '<string>',
postal_code: '<string>',
address: '<string>',
mobile_number: '<string>',
email_address: '<string>',
birth_date: '2023-12-25',
birth_place: '<string>',
birth_country_code: '<string>',
bank_name: '<string>',
bank_account_number: '<string>',
bank_account_type: '<string>',
bank_number: '<string>',
bank_phone_number: '<string>',
bank_branch_number: '<string>',
external_transfer_memo: '<string>',
clabe_number: '<string>',
cbu_alias: '<string>',
mobile_money_number: '<string>',
mobile_money_provider: '<string>',
crypto_address: '<string>',
crypto_memo: '<string>',
tax_id: '<string>',
tax_id_name: '<string>',
occupation: '<string>',
employer_name: '<string>',
employer_address: '<string>',
language_code: '<string>',
id_type: '<string>',
id_country_code: '<string>',
id_issue_date: '2023-12-25',
id_expiration_date: '2023-12-25',
id_number: '<string>',
ip_address: '<string>',
sex: '<string>',
referral_id: '<string>',
mobile_number_verification: '<string>',
email_address_verification: '<string>'
})
};
fetch('https://callback.business-server.exampleanchor.com/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://callback.business-server.exampleanchor.com/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'account' => '<string>',
'memo' => '<string>',
'type' => '<string>',
'transaction_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'additional_name' => '<string>',
'address_country_code' => '<string>',
'state_or_province' => '<string>',
'city' => '<string>',
'postal_code' => '<string>',
'address' => '<string>',
'mobile_number' => '<string>',
'email_address' => '<string>',
'birth_date' => '2023-12-25',
'birth_place' => '<string>',
'birth_country_code' => '<string>',
'bank_name' => '<string>',
'bank_account_number' => '<string>',
'bank_account_type' => '<string>',
'bank_number' => '<string>',
'bank_phone_number' => '<string>',
'bank_branch_number' => '<string>',
'external_transfer_memo' => '<string>',
'clabe_number' => '<string>',
'cbu_alias' => '<string>',
'mobile_money_number' => '<string>',
'mobile_money_provider' => '<string>',
'crypto_address' => '<string>',
'crypto_memo' => '<string>',
'tax_id' => '<string>',
'tax_id_name' => '<string>',
'occupation' => '<string>',
'employer_name' => '<string>',
'employer_address' => '<string>',
'language_code' => '<string>',
'id_type' => '<string>',
'id_country_code' => '<string>',
'id_issue_date' => '2023-12-25',
'id_expiration_date' => '2023-12-25',
'id_number' => '<string>',
'ip_address' => '<string>',
'sex' => '<string>',
'referral_id' => '<string>',
'mobile_number_verification' => '<string>',
'email_address_verification' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://callback.business-server.exampleanchor.com/customer"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"account\": \"<string>\",\n \"memo\": \"<string>\",\n \"type\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"additional_name\": \"<string>\",\n \"address_country_code\": \"<string>\",\n \"state_or_province\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"email_address\": \"<string>\",\n \"birth_date\": \"2023-12-25\",\n \"birth_place\": \"<string>\",\n \"birth_country_code\": \"<string>\",\n \"bank_name\": \"<string>\",\n \"bank_account_number\": \"<string>\",\n \"bank_account_type\": \"<string>\",\n \"bank_number\": \"<string>\",\n \"bank_phone_number\": \"<string>\",\n \"bank_branch_number\": \"<string>\",\n \"external_transfer_memo\": \"<string>\",\n \"clabe_number\": \"<string>\",\n \"cbu_alias\": \"<string>\",\n \"mobile_money_number\": \"<string>\",\n \"mobile_money_provider\": \"<string>\",\n \"crypto_address\": \"<string>\",\n \"crypto_memo\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"tax_id_name\": \"<string>\",\n \"occupation\": \"<string>\",\n \"employer_name\": \"<string>\",\n \"employer_address\": \"<string>\",\n \"language_code\": \"<string>\",\n \"id_type\": \"<string>\",\n \"id_country_code\": \"<string>\",\n \"id_issue_date\": \"2023-12-25\",\n \"id_expiration_date\": \"2023-12-25\",\n \"id_number\": \"<string>\",\n \"ip_address\": \"<string>\",\n \"sex\": \"<string>\",\n \"referral_id\": \"<string>\",\n \"mobile_number_verification\": \"<string>\",\n \"email_address_verification\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://callback.business-server.exampleanchor.com/customer")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"account\": \"<string>\",\n \"memo\": \"<string>\",\n \"type\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"additional_name\": \"<string>\",\n \"address_country_code\": \"<string>\",\n \"state_or_province\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"email_address\": \"<string>\",\n \"birth_date\": \"2023-12-25\",\n \"birth_place\": \"<string>\",\n \"birth_country_code\": \"<string>\",\n \"bank_name\": \"<string>\",\n \"bank_account_number\": \"<string>\",\n \"bank_account_type\": \"<string>\",\n \"bank_number\": \"<string>\",\n \"bank_phone_number\": \"<string>\",\n \"bank_branch_number\": \"<string>\",\n \"external_transfer_memo\": \"<string>\",\n \"clabe_number\": \"<string>\",\n \"cbu_alias\": \"<string>\",\n \"mobile_money_number\": \"<string>\",\n \"mobile_money_provider\": \"<string>\",\n \"crypto_address\": \"<string>\",\n \"crypto_memo\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"tax_id_name\": \"<string>\",\n \"occupation\": \"<string>\",\n \"employer_name\": \"<string>\",\n \"employer_address\": \"<string>\",\n \"language_code\": \"<string>\",\n \"id_type\": \"<string>\",\n \"id_country_code\": \"<string>\",\n \"id_issue_date\": \"2023-12-25\",\n \"id_expiration_date\": \"2023-12-25\",\n \"id_number\": \"<string>\",\n \"ip_address\": \"<string>\",\n \"sex\": \"<string>\",\n \"referral_id\": \"<string>\",\n \"mobile_number_verification\": \"<string>\",\n \"email_address_verification\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://callback.business-server.exampleanchor.com/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"account\": \"<string>\",\n \"memo\": \"<string>\",\n \"type\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"additional_name\": \"<string>\",\n \"address_country_code\": \"<string>\",\n \"state_or_province\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address\": \"<string>\",\n \"mobile_number\": \"<string>\",\n \"email_address\": \"<string>\",\n \"birth_date\": \"2023-12-25\",\n \"birth_place\": \"<string>\",\n \"birth_country_code\": \"<string>\",\n \"bank_name\": \"<string>\",\n \"bank_account_number\": \"<string>\",\n \"bank_account_type\": \"<string>\",\n \"bank_number\": \"<string>\",\n \"bank_phone_number\": \"<string>\",\n \"bank_branch_number\": \"<string>\",\n \"external_transfer_memo\": \"<string>\",\n \"clabe_number\": \"<string>\",\n \"cbu_alias\": \"<string>\",\n \"mobile_money_number\": \"<string>\",\n \"mobile_money_provider\": \"<string>\",\n \"crypto_address\": \"<string>\",\n \"crypto_memo\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"tax_id_name\": \"<string>\",\n \"occupation\": \"<string>\",\n \"employer_name\": \"<string>\",\n \"employer_address\": \"<string>\",\n \"language_code\": \"<string>\",\n \"id_type\": \"<string>\",\n \"id_country_code\": \"<string>\",\n \"id_issue_date\": \"2023-12-25\",\n \"id_expiration_date\": \"2023-12-25\",\n \"id_number\": \"<string>\",\n \"ip_address\": \"<string>\",\n \"sex\": \"<string>\",\n \"referral_id\": \"<string>\",\n \"mobile_number_verification\": \"<string>\",\n \"email_address_verification\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "ACCEPTED",
"id": "<string>",
"fields": {},
"provided_fields": {},
"message": "<string>"
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"id": "<string>"
}